<?php

namespace App\System\Model;
use App\System\Basic\beModel;

class UserProductCancellationsModel extends beModel {
    public $table = "be_user_product_cancellations";
    public $primary_key = "upcid";
    public static function beGetUserProductCancellationStatus(){
        return [
            -1 => [
                0 => "Reddedildi",
                1 => "danger"
            ],
            0 => [
                0 => "Beklemede",
                1 => "primary"
            ],
            1 => [
                0 => "Onaylandı",
                1 => "success"
            ]
        ];
    }
    public static function beGetUserProductCancellationTypes(){
        return [
            "now" => "Hemen İptal Et",
            "endoforder" => "Süre Sonunda İptal Et"
        ];
    }
}

?>